module Interview
  class ContainerAttribute < Attribute
    
    def initialize(params={})
      @tooltip = :hide
      super
    end
    
    def value
      return nil
    end
    
    def caption
      return @caption.to_s
    end
    
    protected
    
    def build_read(b)
      yield if block_given?
    end
    
    def build_write(b)
      build_read(b)
    end
    
  end
end