module Interview
  class DateAttribute < Attribute
    
    attr_accessor :format
    
    protected
    
    def build_read(b)
      return if value.nil?
      if @format
        b.text text: value.strftime(@format)
      else
        b << h.l(value)
      end
    end
    
    def build_write(b)
      # todo: Date auswahl einbauen
      b << form_builder.date_select(@method) # todo: , {}, {class: 'form-control'}
    end
    
  end
end