module Interview
  class FormErrors < Control
    
    def build(b)
      object = find_attribute!(:object)
      
      if object.errors.any?
        b.section html_class: 'alert alert-danger' do
          b.text text: h.translate("errors.template.header", count: object.errors.count, model: object.class.model_name.human), style: 'h4'
          b.section style: 'ul' do
            object.errors.full_messages.each do |msg|
              b.text text: msg, style: 'li'
            end
          end
        end
      end
    end
    
  end
end