module Interview
  class List < Control
    
    attr_accessor :object, :objects, :empty_message
    
    def build(b)
      objects = @objects || find_attribute!(:objects)
      objects.each do |object|
        @object = object
        yield if block_given?
      end
      if objects.empty? and @empty_message != :hide
        object = @object || find_attribute!(:object)
        empty_message = @empty_message || "Keine #{object.class.human_name(count: 2)} vorhanden." # todo
        b.text text: empty_message, style: 'p', html_class: 'text-center text-muted'
      end
    end
    
  end
end