module Interview
  class SearchForm < Control
  
    include NestedBuildable
    
    attr_accessor :object
        
    def build(b)
      object = @object || find_attribute!(:object)
      b << h.form_tag(h.polymorphic_path(object.class.model_name.plural, action: 'search'), method: :get, class: 'form-inline', role: 'form') do
        create_nested_builder(b)
        b.section do
          b.section html_class: 'form-group' do
            b << h.text_field_tag(:search, h.params[:search], class: 'form-control')
          end
          b.section html_class: 'form-group' do
            b << h.submit_tag('Suchen', :name => nil, class: 'form-control btn btn-primary') # todo: 'Suchen' ändern
          end
        end
        render_nested_builder(b)
      end
    end
    
  end
end