module Interview
  class Tabs < Control
    
    attr_accessor :active
    
    def build(b)
      b.section style: 'ul', html_class: 'nav nav-tabs' do
        b.meta_control pointer: self do
          @index = 0
          yield if block_given?
        end
      end
    end
  
    def build_child(b, control, &block)
      html_class = 'active' if @index == @active
      @index += 1
      b.section style: 'li', html_class: html_class, html_options: { role: 'presentation' } do
        super
      end
    end
    
  end
end