module Interview
  class Tooltip < Control
    
    attr_accessor :tooltip, :style
    
    def build(b)
      tooltip = @tooltip || find_attribute(:tooltip)
      if @style == 'box'
        b.section html_class: 'alert alert-info' do
          b.text text: tooltip
        end
      elsif @style == 'popover'
        b.space
        b.link image: 'question-sign', url: '#', html_class: 'tip', html_options: { data: { toogle: 'popover', content: tooltip } }
      else
        b.text text: tooltip, style: 'p', html_class: 'help-block'
      end
    end
    
  end
end