module Interview
  class MetaControl < Control
    
    attr_accessor :pointer
    attr_reader :skip
    
    def build_child(b, control, &block)
      @skip = true
      if @pointer
        @pointer.build_child(b, control, &block)
      else
        super
      end
      @skip = false
    end
    
  end
end