module Interview
  module NestedBuildable
    
    def create_nested_builder(b)
      @original_html = b.html
      @nested_html = ::Builder::XmlMarkup.new
      b.html = @nested_html
      return b
    end
        
    def render_nested_builder(b)
      b.html = @original_html
      return @nested_html.target!.html_safe
    end
    
  end
end