module Interview
  class Alert < Text
    
    def build(b)
      html_class = @html_class.dup
      html_class << 'alert'
      html_class << "alert-#{@style}" if @style
      b.section html_class: html_class, html_options: @html_options do
        build_text(b)
        yield if block_given?
      end
    end
    
  end
end