module Interview
  class CollapseContainer < Control
    
    attr_accessor :image, :caption
        
    def build(b)
      new_id = Time.now.to_f.to_s.delete('.')
      b.link image: @image, caption: @caption, url: '#', html_class: 'collapse_link',
             html_options: { data: { toogle: 'collapse', target: "##{new_id}" } }
      b.section html_class: 'panel-collapse collapse', html_options: { id: new_id } do
        yield if block_given?
      end
    end
    
  end
end