module Interview
  class Glyphicon < Control
    
    include HasHtmlOptions
    
    attr_accessor :image
    
    def build(b)
      html_class = @html_class
      if @image == 'caret'
        html_class << 'caret'
      else
        html_class += ["glyphicon", "glyphicon-#{@image}"] 
      end
      b.section style: 'span', html_class: html_class, html_options: @html_options
    end
    
  end
end