module Interview
  class HtmlTextAttribute < Attribute
    
    # todo: in eigenes gem auslagern?
    
    attr_accessor :plain_text, :cut
    
    protected
    
    def build_read(b)
      return if value.nil?
      val = value
      val.gsub! /<.+?>/, ' ' if @plain_text
      val = val[0..29] + '...' if @cut and val.size > 30
      b << val.html_safe
    end
    
    def build_write(b)
      b << form_builder.cktext_area(@method, class: 'form-control')
    end
    
  end
end