module Interview
  class PolymorphicNestedForm < NestedForm
    
    def render_nested_form(b, form_builder)
      create_nested_builder(b)
      object = form_builder.object
      if klass = "#{object.class.name}NestedForm".safe_constantize
        nested_form = klass.new(parent: self)
        b << nested_form.render_nested_form(b, form_builder, &block)
      else
        super
      end
      return render_nested_builder(b)
    end
    
  end
end