module Interview
  class ScaffoldCard < Control
    
    def build(b)
      b.meta_control pointer: self do
        yield if block_given?
      end
    end
    
    def build_child(b, control, &block)
      control.parent = self
      b.section html_class: 'row' do
        b.section style: 'p', html_class: 'col-xs-3' do
          b.text text: control.caption, style: 'b' unless control.caption == :hide
          if control.tooltip != :hide
            b.tooltip tooltip: control.tooltip, style: :popover
          end
        end
        b.section style: 'p', html_class: 'col-xs-9' do 
          control.style = 'read' unless control.style
          super
        end
      end
    end
    
  end
end